Passer au contenu principal
POST
/
client
/
batch
/
{batchNumber}
/
addShipment
Add shipments to a batch
curl --request POST \
  --url https://api.ship.uniuni.com/prod/client/batch/{batchNumber}/addShipment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "shipments": [
    "UNI02947917E",
    "UNI0114576F0"
  ]
}
'
{
  "message": "Shipments added to batch successfully",
  "code": 0,
  "data": {
    "batchNumber": "URB0714000000000727",
    "batchName": "test",
    "status": "PENDING",
    "printedLabel": false,
    "shipmentCount": 2
  }
}
Chaque expédition ne peut appartenir qu’à un seul lot. Si une expédition se trouve déjà dans un autre lot, elle sera déplacée vers celui-ci.

Autorisations

Authorization
string
header
requis

API access token generated from the UniUni Platform dashboard.

Paramètres de chemin

batchNumber
string
requis

The unique batch number (e.g. URB0714000000000687).

Corps

application/json
shipments
string[]
requis

List of order numbers.

Réponse

200 - application/json

Shipments added or error

message
string
requis

Additional information about the request status.

code
integer
requis

Status code. 0 indicates success.

data
object

Partial batch summary returned after add/remove shipment operations.